AsterNet Class Library (Sandcastle documentation)

| GetVariableCommand Class

Returns the value of the given channel varible.
Since Asterisk 1.2 you can also use this command to use custom Asterisk functions. Syntax is "func(args)".
Returns 0 if the variable is not set. Returns 1 if the variable is set and returns the variable in parenthesis.
Example return code: 200 result=1 (testvariable)
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
GetVariableCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class GetVariableCommand : AGICommand

    Public Class GetVariableCommand
    	Inherits AGICommand

    public ref class GetVariableCommand : public AGICommand

    type GetVariableCommand =
        class
            inherit AGICommand
        end

The GetVariableCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| GetVariableCommand | Creates a new GetVariableCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Variable | Get/Set the name of the variable to retrieve. Since Asterisk 1.2 you can also use custom dialplan functions (like "func(args)") as variable.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace